import { SchemaField } from './types';
import { JsonSchema } from '../../../lib/json-schema';
export declare function fieldsToJSONSchema(fields: SchemaField[]): JsonSchema;
export declare function jsonSchemaToFields(schema: JsonSchema | undefined): SchemaField[];
export declare function getFieldsAtPath(fields: SchemaField[], path: string[]): SchemaField[];
export declare function updateFieldAtPath(fields: SchemaField[], path: string[], fieldId: string, updates: Partial<SchemaField>): SchemaField[];
export declare function addFieldAtPath(fields: SchemaField[], path: string[], newField: SchemaField): SchemaField[];
export declare function removeFieldAtPath(fields: SchemaField[], path: string[], fieldId: string): SchemaField[];
